---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# ProductVariantPricesCreateReq

## constructor

___

## Properties

<ParameterTypes parameters={[
  {
    "name": "amount",
    "type": "`number`",
    "description": "The price amount.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "currency_code",
    "type": "`string`",
    "description": "The 3 character ISO currency code the price will be used in. This is only required if `region\\_id` is not provided.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "max_quantity",
    "type": "`number`",
    "description": "The maximum quantity required to be added to the cart for the price to be used.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "min_quantity",
    "type": "`number`",
    "description": "The minimum quantity required to be added to the cart for the price to be used.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "region_id",
    "type": "`string`",
    "description": "The ID of the Region the price will be used in. This is only required if `currency\\_code` is not provided.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
